%define oname   rest-client

Name:       ruby-%{oname}
Version:    1.6.7
Release:    %mkrel 4
Summary:    Simple REST client for Ruby
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/archiloque/rest-client
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
micro-framework style of specifying actions: get, put, post, delete.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/restclient
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/history.md


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.6.7-4.mga3
+ Revision: 396385
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.7-3.mga3
+ Revision: 381350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.6.7-2.mga3
+ Revision: 313648
- rebuild for new ruby

* Thu Jun 07 2012 shlomif <shlomif> 1.6.7-1.mga3
+ Revision: 256898
- Correct a typo

  + solbu <solbu>
    - New version
    - Spec cleanup

* Sun Apr 17 2011 shikamaru <shikamaru> 1.6.1-1.mga1
+ Revision: 86996
- imported package ruby-rest-client

